package com.aliyun.vodplayer.demo.activity.advance;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.EditText;

import com.aliyun.vodplayer.demo.DemoAdvancePlayerActivity;
import com.aliyun.vodplayer.demo.R;
import com.aliyun.vodplayer.demo.utils.BaseAppCompatActivity;

public class DemeLiveAnswerUrlActivity extends BaseAppCompatActivity {

    private EditText urlEditText;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_deme_live_answer_url);

        urlEditText = (EditText) findViewById(R.id.live_url);

        findViewById(R.id.start_answer).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                String url = urlEditText.getText().toString();
                if(TextUtils.isEmpty(url)){
                    return ;
                }else{
                    Intent intent = new Intent();
                    intent.setClass(DemeLiveAnswerUrlActivity.this, DemoLiveAnswerActivity.class);
                    intent.putExtra("url" , url);
                    startActivity(intent);
                }
            }
        });
    }
}
