package com.aliyun.vodplayer.demo.activity.advance.liveanswer.bean;

import android.text.TextUtils;

import com.aliyun.vodplayer.utils.JsonUtil;

import org.json.JSONObject;

/*
 * Copyright (C) 2010-2017 Alibaba Group Holding Limited.
 */
public class QuestionResponse extends BaseResponse {
    public QuestionInfo data;


    public static QuestionResponse getFromJson(JSONObject jsonObject){
        if(jsonObject == null){
            return null;
        }
        QuestionResponse questionResponse = new QuestionResponse();
        questionResponse.result = Result.getFromJson(JsonUtil.getJSONObject(jsonObject, "result"));
        questionResponse.data = QuestionInfo.getFromJson(JsonUtil.getJSONObject(jsonObject, "data"));

        return questionResponse;
    }
}
